#https://fedoraproject.org/wiki/Anaconda/Kickstart#repo

#platform=x86, AMD64, or Intel EM64T
#version=DEVEL
#network  --bootproto=dhcp --device=eth0 --onboot=on --noipv6 --hostname=f23.virt.plaw

# Install OS instead of upgrade
install
# Keyboard layouts
keyboard 'us'
# Halt after installation
#halt
reboot
# Root password
rootpw --plaintext apassword
user --name=atester --groups=wheel --plaintext --password=atester

# System timezone
timezone Australia/Hobart --isUtc
# Use network installation
url --url="http://mirror.home.plaw/pub/fedora/linux/releases/23/Everything/x86_64/os/"
# System language
lang en_AU
# Firewall configuration
firewall --enabled
# System authorization information
auth  --useshadow  --passalgo=sha512
# Use text mode install
# https://bugzilla.redhat.com/show_bug.cgi?id=1173350
text
#firstboot --disable
logging --level=debug

# SELinux configuration
selinux --permissive

# Services
services --disabled=sshd

# System bootloader configuration
bootloader --location=mbr
# Clear the Master Boot Record
zerombr
# Partition clearing information
clearpart --all --initlabel
# Disk partitioning information
part /boot --size=512 --fstype="ext4" --fsoptions="defaults,relatime,errors=remount-ro"
part pv.01 --size=1 --grow
volgroup sysvg pv.01
logvol --vgname=sysvg / --size=1 --grow --fstype="ext4" --fsoptions="defaults,relatime" --name=root
logvol --vgname=sysvg swap --recommended --hibernation --fstype="swap" --name=swap

#part swap --recommended --hibernation --fstype="swap" 
#part /boot --size=512 --fstype="ext4" --recommended --asprimary 
#part btrfs.01 --size=1 --grow --fstype="btrfs"
#btrfs none --label=f23 --data=single btrfs.01
#btrfs / --subvol --name=root f23

repo --name="plaw-mirror-fedora-release" --baseurl="http://mirror.home.plaw/pub/fedora/linux/releases/23/Everything/x86_64/os/" --cost=10 --install
repo --name="plaw-mirror-fedora-updates" --baseurl="http://mirror.home.plaw/pub/fedora/linux/updates/23/x86_64/" --cost=10 --install



